// Boite arrondie sur le dessus.( top round box )
// dimensions = TailleX, TailleY, tailleZ ( size )
// rayon : rayon de l'arrondi ( rayon: round radius )
//
// Wintypon 3D / Pascal EYNARD / www.typonrelais.com / 09-2006
// FR: Licence : Crative Commoms : Paternit - Pas d'Utilisation Commerciale 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/
// EN: Licence : Creative Commoms : Attribution - Non Commercial 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/deed.en
//
#macro WT3D_BOX_ROUND_SUP_GRND (tailleX,tailleY,tailleZ,rayon)
union {       
sphere {<-tailleX/2 + rayon, tailleY - rayon,-tailleZ/2 + rayon> rayon }
sphere {<-tailleX/2 + rayon, tailleY - rayon, tailleZ/2 - rayon> rayon }
sphere {< tailleX/2 - rayon, tailleY - rayon,-tailleZ/2 + rayon> rayon }                                                                   
sphere {< tailleX/2 - rayon, tailleY - rayon, tailleZ/2 - rayon> rayon }
cylinder {<-tailleX/2 + rayon, tailleY - rayon,-tailleZ/2 + rayon><-tailleX/2 + rayon, tailleY/1 - rayon, tailleZ/2 - rayon> rayon }
cylinder {< tailleX/2 - rayon, tailleY - rayon, tailleZ/2 - rayon>< tailleX/2 - rayon, tailleY/1 - rayon,-tailleZ/2 + rayon> rayon }
cylinder {<-tailleX/2 + rayon, tailleY - rayon,-tailleZ/2 + rayon>< tailleX/2 - rayon, tailleY/1 - rayon,-tailleZ/2 + rayon> rayon }
cylinder {<-tailleX/2 + rayon, tailleY - rayon, tailleZ/2 - rayon>< tailleX/2 - rayon, tailleY/1 - rayon, tailleZ/2 - rayon> rayon }
cylinder {<-tailleX/2 + rayon,0 ,-tailleZ/2 + rayon><-tailleX/2 + rayon, tailleY - rayon,-tailleZ/2 + rayon> rayon }
cylinder {<-tailleX/2 + rayon,0 , tailleZ/2 - rayon><-tailleX/2 + rayon, tailleY - rayon, tailleZ/2 - rayon> rayon }
cylinder {< tailleX/2 - rayon,0 ,-tailleZ/2 + rayon>< tailleX/2 - rayon, tailleY - rayon,-tailleZ/2 + rayon> rayon }                                                                   
cylinder {< tailleX/2 - rayon,0 , tailleZ/2 - rayon>< tailleX/2 - rayon, tailleY - rayon, tailleZ/2 - rayon> rayon } 
box {<-tailleX/2 + rayon,0,-tailleZ/2><tailleX/2-rayon,tailleY-rayon,tailleZ/2> }
box {<-tailleX/2,0,-tailleZ/2+rayon><tailleX/2,tailleY-rayon,tailleZ/2-rayon> }
box {<-tailleX/2 + rayon,0,-tailleZ/2+rayon><tailleX/2-rayon,tailleY,tailleZ/2-rayon> }
}
#end 

// Broche verticale simple ( verticaly pin )
// PosX,posZ=position X,Z Hhaut=Hauteur Y sur le circuit, Hbas=Hauteur basse, rayon=rayon de la broche
// ( X position,Y position, Top height, Bottom height,radius )
//
// Wintypon 3D / Pascal EYNARD / www.typonrelais.com / 09-2006
// FR: Licence : Crative Commoms : Paternit - Pas d'Utilisation Commerciale 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/
// EN: Licence : Creative Commoms : Attribution - Non Commercial 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/deed.en
//
#macro WT3D_BROCHE (posX,posZ,Hhaut,Hbas,rayon)                
cylinder{<posX,Hbas,posZ> <posX,Hhaut,posZ> rayon texture {col_silver} } 
#end

// Ligne de broche ( Line of pin )
// posX,posZ=position X,Z de la broche 1
// Hhaut=Hauteur Y sur le circuit, Hbas=Hauteur basse, rayon=rayon de la broche
// IncX,IncZ = increment X et Z entre chaque broche. Nombre=Nombre de broche
// (X position,Z position,Top height,Bottom height,radius,X increment, Z increment, numbre) 
//
// Wintypon 3D / Pascal EYNARD / www.typonrelais.com / 09-2006
// FR: Licence : Crative Commoms : Paternit - Pas d'Utilisation Commerciale 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/
// EN: Licence : Creative Commoms : Attribution - Non Commercial 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/deed.en
//

#macro WT3D_LIGNE_BROCHE (posX,posZ,Hhaut,Hbas,rayon,IncX,IncZ,Nombre)
#declare Count = 0;
#while (Count < Nombre)
 WT3D_BROCHE (posX + Count * IncX,posZ + Count * IncZ,Hhaut,Hbas,rayon)
 #declare Count = Count+1;
#end
#end  

// Transformateur type EE20 / 23 * 22 mm / hauteur = 19mm
//
// Wintypon 3D / Pascal EYNARD / www.typonrelais.com / 09-2006
// FR: Licence : Crative Commoms : Paternit - Pas d'Utilisation Commerciale 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/
// EN: Licence : Creative Commoms : Attribution - Non Commercial 2.0 France // http://creativecommons.org/licenses/by-nc/2.0/fr/deed.en
//
#macro TRANSFO_EE20(Valeur)      
union {   
text{ttf "Arial" Valeur 0.1,0  scale<2,2,1> rotate<90,0,0> translate<-6,19.1,0> pigment {Black} }   
object {WT3D_BOX_ROUND_SUP_GRND (22,15,23,1) }
object {WT3D_BOX_ROUND_SUP_GRND (18,4,19,1)  translate <0,15,0> }                                                                
#if(pin_short=off)
WT3D_LIGNE_BROCHE (-7.5,-7.5,1,-8,0.25,5,0,4)
WT3D_LIGNE_BROCHE (-7.5, 7.5,1,-8,0.25,5,0,4)
#else
WT3D_LIGNE_BROCHE (-7.5,-7.5,1,-(pin_length+pch_height),0.25,5,0,4)
WT3D_LIGNE_BROCHE (-7.5, 7.5,1,-(pin_length+pch_height),0.25,5,0,4)
#end 
pigment {Blue}  
}
#end  
         


















