//
// Fichier wt3d_modele.inc - Fourni avec wintypon 3D
// Modles supplmentaires de composant 3D
// (Ces modles ne sont pas obligatoirement inclus dans les INC
//  de Eagle 3D, grs par Mathias Weisser - www.matwei.de )
//
/********************************************************************************************************************************************
//Quartz , width = 2.5 mm
//basiert auf Modell von Andreas Fecht <info(replace with at)aftec.de>
// modified by Pascal Eynard - wintypon 3D - www.typonrelais.com - 21/08/2006
********************************************************************************************************************************************/
#macro SPC_XTAL_2_5MM_GRND(value,hight)
union{
cylinder{<-2.54,0,0><-2.54,0.7,0>1.25}
cylinder{<2.54,0,0><2.54,0.7,0>1.25}
box{<-2.54,0,-1.25><2.54,0.7,1.25>}

cylinder{<-2.54,0.7,0><-2.54,hight,0>1}
cylinder{<2.54,0,0><2.54,hight,0>1}
box{<-2.54,0,-1><2.54,hight,1>}

torus{0.6,0.4 translate<-2.54,hight,0>}
torus{0.6,0.4 translate<2.54,hight,0>}
cylinder{<-2.54,0,0><2.54,0,0>0.4 translate<0,hight,-0.6>}
cylinder{<-2.54,0,0><2.54,0,0>0.4 translate<0,hight,0.6>}
cylinder{<-2.54,hight,0><-2.54,hight+0.4,0>0.6}
cylinder{<2.54,hight,0><2.54,hight+0.4,0>0.6}
box{<-2.54,hight,-0.85><2.54,hight+0.4,0.6>}

#if(pin_short=off)
cylinder{<-2.45,0,0><-2.45,-12,0>0.25}
cylinder{<2.45,0,0><2.45,-12,0>0.25}
#else
cylinder{<-2.45,0,0><-2.45,-1*(pin_length+pcb_hight),0>0.25}
cylinder{<2.45,0,0><2.45,-1*(pin_length+pcb_hight),0>0.25}
#end
#if(hight>5)
text {ttf besch_font value 0.1, 0 pigment{Black} scale 1.5 translate<-2,hight/2,-2.01>}
#else
text {ttf besch_font value 0.1, 0 pigment{Black} scale 2 rotate<90,0,0> translate<-2,hight+0.401,-0.5>}
#end
texture{col_silver}}
#end

#macro SPC_XTAL_2_5MM(value,hight)
object{SPC_XTAL_2_5MM_GRND(value,hight)}
#end

/********************************************************************************************************************************************
// STRAP
// De 1 * 2.54  15 * 2.54 mm de longueur ( lenght )
// created by Pascal Eynard - wintypon 3D - www.typonrelais.com - 08/2006
********************************************************************************************************************************************/
#macro SPC_STRAP_GRND(lenght)
union{
 
# local rayon = 0.25;   // rayon du fil = rayon des pattes
 
cylinder{<-lenght,rayon,0><lenght,rayon>rayon}
sphere {<-lenght,rayon,0>rayon}

#if(pin_short=off)
cylinder{<-lenght,rayon,0><lenght,-12,0>0.25}
cylinder{<lenght,rayon,0><lenght,-12,0>0.25}
#else
cylinder{<-lenght,rayon,0><-lenght,-1*(pin_length+pcb_hight),0>0.25}
cylinder{<lenght,rayon,0><lenght,-1*(pin_length+pcb_hight),0>0.25}
#end

texture{col_silver}}
#end

#macro SPC_STRAP(lenght)
object{SPC_STRAP_GRND(lenght)}
#end  

#macro SPC_STRAP_1P()
object{SPC_STRAP_GRND(1.27)}
#end 
    
#macro SPC_STRAP_2P()
object{SPC_STRAP_GRND(1.27*2)}
#end

#macro SPC_STRAP_3P()
object{SPC_STRAP_GRND(1.27*3)}
#end

#macro SPC_STRAP_4P()
object{SPC_STRAP_GRND(1.27*4)}
#end

#macro SPC_STRAP_5P()
object{SPC_STRAP_GRND(1.27*5)}
#end

#macro SPC_STRAP_6P()
object{SPC_STRAP_GRND(1.27*6)}
#end                         

#macro SPC_STRAP_7P()
object{SPC_STRAP_GRND(1.27*7)}
#end  

#macro SPC_STRAP_8P()
object{SPC_STRAP_GRND(1.27*8)}
#end   

#macro SPC_STRAP_9P()
object{SPC_STRAP_GRND(1.27*9)}
#end 

#macro SPC_STRAP_10P()
object{SPC_STRAP_GRND(1.27*10)}
#end

#macro SPC_STRAP_11P()
object{SPC_STRAP_GRND(1.27*11)}
#end

#macro SPC_STRAP_12P()
object{SPC_STRAP_GRND(1.27*12)}
#end

#macro SPC_STRAP_13P()
object{SPC_STRAP_GRND(1.27*13)}
#end

#macro SPC_STRAP_14P()
object{SPC_STRAP_GRND(1.27*14)}
#end

#macro SPC_STRAP_15P()
object{SPC_STRAP_GRND(1.27*15)}
#end 